<h1>Porcentagens relacionadas de acréscimo e desconto</h1>

<p>Quando ainda cursava o finado 2º Grau (atual Ensino Médio), um colega propôs
   no "Clube de Informática" (olha o nível da nerdeza...) o seguinte problema:</p>

<blockquote>
  Se tenho um valor e acrescento a ele uma determinada porcentagem, quantos porcento
  do novo valor devo retirar para voltar ao valor original?
</blockquote>

<p>Resolvi, a solução é bastante simples. Até hoje precisei aplicá-la apenas duas
   vezes: uma para mim, e uma dias atrás, no trabalho, ambas para resolver uma
   variação do problema, que é o mesmo na verdade, apenas dito de forma diferente:</p>

<blockquote>
  Defino um valor pelo meu serviço, mas com o desconto do imposto de renda, o valor
  efetivamente recebido fica abaixo do calculado e que gostaria de receber. Que valor
  devo cobrar então, para mesmo após esse desconto, ainda receber o valor definido?
</blockquote>

<p>Como em nenhuma das duas vezes que usei a fórmula tive ela à mão, sempre precisando
   deduzir novamente, resolvi fazer uma dedução definitiva, matematicamente adequada,
   guardá-la em algum local de fácil acesso, e rezar para que nossa sociedade não entre
   em colapso tecnológico :-p</p>

<p><code>&lt;<a href="http://goo.gl/J7SFq" target="_blank">http://goo.gl/J7SFq</a>&gt;</code></p>

<p>Contudo, como uma das regras da Dicas-L é não enviar dicas parciais, mas completas
   e independentes, segue uma versão MathML do artigo acima.</p>

<p>[]'s matemáticos</p>



<h2>Definições</h2>

<ol type="a">

<li>
  Dada a porcentagem <math><mrow><mi>P</mi></mrow></math>,
  <math>
    <mrow>
      <mi>p</mi>
      <mo>=</mo>
      <mfrac><mi>P</mi><mn>100</mn></mfrac>
    </mrow>
  </math>
  será denominado <b>fator percentual para <math><mrow><mi>P</mi></mrow></math></b> e, multiplicado a um montante
  <math><mrow><mi>M</mi></mrow></math>, devolverá <math><mrow><mi>P</mi><mo>%</mo></mrow></math>
  de <math><mrow><mi>M</mi></mrow></math>. Assim,
  <math>
  <mrow>
    <mi>P</mi><mo>%</mo><mtext>de</mtext><mi>M</mi>
    <mtext>é igual a</mtext>
    <mi>M</mi><mo>⋅</mo><mi>p</mi>
  </mrow>
  </math>
</li>

<li>
  Dada a porcentagem <math><mrow><mi>P</mi></mrow></math> de acréscimo ou desconto sobre um montante inicial
  <math><mrow><mi>I</mi></mrow></math> e considerando <math><mrow><mi>p</mi></mrow></math> o fator percentual
  para <math><mrow><mi>P</mi></mrow></math>, <math><msub><mrow><mi>p</mi></mrow><mrow><mi>r</mi></mrow></msub></math> será
  denominado <b>fator percentual relativo a <math><mrow><mi>p</mi></mrow></math></b> quando, multiplicado a
  <math><mrow><mi>I</mi></mrow></math>, levar diretamente ao montante final <math><mrow><mi>F</mi></mrow></math>.
  <br />

  <br />

  Para um montante inicial que receberá um acréscimo de
  <math><mrow><mi>A</mi><mo>%</mo></mrow></math>, temos:
  <br />

  <div>

    <math>
      <mrow>
        <mi>A</mi><mo>%</mo>
        <mo>→</mo>
        <mi>a</mi>
        <mo>=</mo>
        <mfrac><mi>A</mi><mn>100</mn></mfrac>
      </mrow>
    </math>
    <br />

    <math>
      <mrow><mi>F</mi><mo>=</mo><mi>I</mi><mo>+</mo><mi>I</mi><mo>⋅</mo><mi>a</mi></mrow>
    </math>
    <br />

    <math>
      <mrow><mphantom><mi>F</mi></mphantom><mo>=</mo><mi>I</mi><mo>⋅</mo><mo>(</mo><mn>1</mn><mo>+</mo><mi>a</mi><mo>)</mo></mrow>
    </math>
    <br />

    <math>
      <mrow><mi>F</mi><mo>=</mo><mi>I</mi><mo>⋅</mo><msub><mi>a</mi><mi>r</mi></msub></mrow>
      <mrow><msub><mi>a</mi><mi>r</mi></msub><mo>=</mo><mn>1</mn><mo>+</mo><mi>a</mi></mrow>
    </math>
    <br />

  </div>

  <br />

  Para um montante inicial que receberá um desconto de
  <math><mrow><mi>D</mi><mo>%</mo></mrow></math>, temos:
  <br />

  <div>

    <math>
      <mrow>
        <mi>D</mi><mo>%</mo>
        <mo>→</mo>
        <mi>d</mi>
        <mo>=</mo>
        <mfrac><mi>D</mi><mn>100</mn></mfrac>
      </mrow>
    </math>
    <br />

    <math>
      <mrow>
        <mi>F</mi>
        <mo>=</mo>
        <mi>I</mi><mo>−</mo><mi>I</mi><mo>⋅</mo><mi>d</mi>
      </mrow>
    </math>
    <br />

    <math>
      <mrow>
        <mphantom><mi>F</mi></mphantom>
        <mo>=</mo>
        <mi>I</mi><mo>⋅</mo><mo>(</mo><mn>1</mn><mo>−</mo><mi>d</mi><mo>)</mo>
      </mrow>
    </math>
    <br />

    <math>
      <mrow>
        <mi>F</mi>
        <mo>=</mo>
        <mi>I</mi><mo>⋅</mo><msub><mi>d</mi><mi>r</mi></msub>
      </mrow>
      <mrow>
        <msub><mi>d</mi><mi>r</mi></msub>
        <mo>=</mo>
        <mn>1</mn><mo>−</mo><mi>d</mi>
      </mrow>
    </math>

  </div>

</ol>



<h2>Problema</h2>

<blockquote>
  Aplicando
  <math><mrow><mi>A</mi><mo>%</mo></mrow></math> de acréscimo a um montante inicial
  <math><mrow><msub><mi>M</mi><mn>1</mn></msub></mrow></math>, quantos
  <math><mrow><mi>D</mi><mo>%</mo></mrow></math> devem ser descontados do montante final
  <math><mrow><msub><mi>M</mi><mn>2</mn></msub></mrow></math> para retornarmos a
  <math><mrow><msub><mi>M</mi><mn>1</mn></msub></mrow></math>?
</blockquote>



<h2>Solução</h2>

  <div>

    <math>
      <mrow>
        <msub><mi>M</mi><mn>2</mn></msub>
        <mo>=</mo>
        <msub><mi>M</mi><mn>1</mn></msub><mo>⋅</mo><msub><mi>a</mi><mi>r</mi></msub>
      </mrow>
    </math>
    <span>(1)</span> ao fazermos o acréscimo
    <br />

    <math>
      <mrow>
        <msub><mi>M</mi><mn>1</mn></msub>
        <mo>=</mo>
        <msub><mi>M</mi><mn>2</mn></msub><mo>⋅</mo><msub><mi>d</mi><mi>r</mi></msub>
      </mrow>
    </math>
    <span>(2)</span> ao fazermos o desconto

  </div>

<p>Substituindo <span>(2)</span> em <span>(1)</span>:</p>

  <div>

    <math>
      <mrow>
        <msub><mi>M</mi><mn>2</mn></msub>
        <mo>=</mo>
        <msub><mi>M</mi><mn>2</mn></msub><mo>⋅</mo><msub><mi>d</mi><mi>r</mi></msub><mo>⋅</mo><msub><mi>a</mi><mi>r</mi></msub>
      </mrow>
    </math>
    <br />

    <math>
      <mrow>
        <mn>1</mn>
        <mo>=</mo>
        <mn>1</mn><mo>⋅</mo><msub><mi>d</mi><mi>r</mi></msub><mo>⋅</mo><msub><mi>a</mi><mi>r</mi></msub>
      </mrow>
    </math>
    <br />

    <math>
      <mrow>
        <mo>(</mo><mn>1</mn><mo>−</mo><mi>d</mi><mo>)</mo><mo>⋅</mo><mo>(</mo><mn>1</mn><mo>+</mo><mi>a</mi><mo>)</mo>
        <mo>=</mo>
        <mn>1</mn>
      </mrow>
    </math>
    <br />

    <br />

    <div>

    <math>
      <mrow>
        <mn>1</mn><mo>−</mo><mi>d</mi>
        <mo>=</mo>
        <mfrac>
          <mrow>
            <mn>1</mn>
          </mrow>
          <mrow>
            <mn>1</mn><mo>+</mo><mi>a</mi>
          </mrow>
        </mfrac>
      </mrow>
    </math>
    <br />

    <math>
      <mrow>
        <mi>d</mi>
        <mo>=</mo>
        <mn>1</mn>
        <mo>−</mo>
        <mfrac>
          <mrow>
            <mn>1</mn>
          </mrow>
          <mrow>
            <mn>1</mn><mo>+</mo><mi>a</mi>
          </mrow>
        </mfrac>
      </mrow>
    </math>
    <br />

    <math>
      <mrow>
        <mi>d</mi>
        <mo>=</mo>
        <mfrac>
          <mrow>
            <mn>1</mn>
            <mo>+</mo>
            <mi>a</mi>
            <mo>−</mo>
            <mn>1</mn>
          </mrow>
          <mrow>
            <mn>1</mn><mo>+</mo><mi>a</mi>
          </mrow>
        </mfrac>
      </mrow>
    </math>
    <br />

    <math>
      <mrow>
        <mi>d</mi>
        <mo>=</mo>
        <mfrac>
          <mrow>
            <mi>a</mi>
          </mrow>
          <mrow>
            <mn>1</mn><mo>+</mo><mi>a</mi>
          </mrow>
        </mfrac>
        <mo>=</mo>
        <mfrac>
          <mrow>
            <mi>a</mi>
          </mrow>
          <mrow>
            <msub><mi>a</mi><mi>r</mi></msub>
          </mrow>
        </mfrac>
      </mrow>
    </math>

    </div>

    <div>

    <math>
      <mrow>
        <mn>1</mn><mo>+</mo><mi>a</mi>
        <mo>=</mo>
        <mfrac>
          <mrow>
            <mn>1</mn>
          </mrow>
          <mrow>
            <mn>1</mn><mo>−</mo><mi>d</mi>
          </mrow>
        </mfrac>
      </mrow>
    </math>
    <br />

    <math>
      <mrow>
        <mi>a</mi>
        <mo>=</mo>
        <mfrac>
          <mrow>
            <mn>1</mn>
          </mrow>
          <mrow>
            <mn>1</mn><mo>−</mo><mi>d</mi>
          </mrow>
        </mfrac>
        <mo>−</mo>
        <mn>1</mn>
      </mrow>
    </math>
    <br />

    <math>
      <mrow>
        <mi>a</mi>
        <mo>=</mo>
        <mfrac>
          <mrow>
            <mn>1</mn>
            <mo>−</mo>
            <mn>1</mn>
            <mo>+</mo>
            <mi>d</mi>
          </mrow>
          <mrow>
            <mn>1</mn><mo>−</mo><mi>d</mi>
          </mrow>
        </mfrac>
      </mrow>
    </math>
    <br />

    <math>
      <mrow>
        <mi>a</mi>
        <mo>=</mo>
        <mfrac>
          <mrow>
            <mi>d</mi>
          </mrow>
          <mrow>
            <mn>1</mn><mo>−</mo><mi>d</mi>
          </mrow>
        </mfrac>
        <mo>=</mo>
        <mfrac>
          <mrow>
            <mi>d</mi>
          </mrow>
          <mrow>
            <msub><mi>d</mi><mi>r</mi></msub>
          </mrow>
        </mfrac>
      </mrow>
    </math>

    </div>

  </div>



<h2>Considerações</h2>

<ol>

  <li>Os fatores percentuais de acréscimo e desconto, portanto as respectivas porcentagens, independem do montante inicial.</li>

  <li>As duas fórmulas são basicamente a mesma, mudando apenas a interpretação de cada porcentagem:<br />
      <br />
      <math>
        <mrow>
          <msub><mi>p</mi><mn>2</mn></msub>
          <mo>=</mo>
        </mrow>
        <mrow>
          <mfrac>
            <mrow>
              <msub><mi>p</mi><mn>1</mn></msub>
            </mrow>
            <mrow>
              <msub><mrow><msub><mi>p</mi><mn>1</mn></msub></mrow><mrow><mi>r</mi></mrow></msub>
            </mrow>
          </mfrac>
        </mrow>
      </math>
      <span><i>O “outro fator percentual” é a relação entre o fator percentual e seu fator percentual relativo.</i></span>
  </li>

  <li>
    Outra forma útil de enunciar o problema é:
    <blockquote>
      Dado um montante <math><mrow><msub><mi>M</mi><mn>1</mn></msub></mrow></math> do qual serão descontados
      <math><mrow><mi>D</mi><mo>%</mo></mrow></math>, quantos
      <math><mrow><mi>A</mi><mo>%</mo></mrow></math> de acréscimo
      <math><mrow><msub><mi>M</mi><mn>1</mn></msub></mrow></math> deve receber para que, após descontados os
      <math><mrow><mi>D</mi><mo>%</mo></mrow></math> do novo montante
      <math><mrow><msub><mi>M</mi><mn>2</mn></msub></mrow></math> ainda tenhamos
      <math><mrow><msub><mi>M</mi><mn>1</mn></msub></mrow></math>?
    </blockquote>
  </li>

</ol>



<h2>Exemplo</h2>

<p>Ao cobrar
   <math><mrow><mi>R$</mi><mn>5.327,28</mn></mrow></math> é obrigatório um desconto de
   <math><mrow><mn>6</mn><mo>%</mo></mrow></math>,
   de forma que o montante recebido será inferior ao cobrado. Que montante deve ser cobrado para que, com esse desconto de
   <math><mrow><mn>6</mn><mo>%</mo></mrow></math>, receba-se o originalmente desejado?</p>

  <div>

    <math>
      <mrow>
        <mi>D</mi>
        <mo>=</mo>
        <mn>6</mn>
        <mo>%</mo>
      </mrow>
    </math>
    <br />

    <math>
      <mrow>
        <mi>d</mi>
        <mo>=</mo>
        <mfrac>
          <mrow>
            <mi>6</mi>
          </mrow>
          <mrow>
            <mn>100</mn>
          </mrow>
        </mfrac>
        <mo>=</mo>
        <mn>0,06</mn>
      </mrow>
    </math>
    <br />

    <br />

    <math>
      <mrow>
        <msub><mi>M</mi><mn>1</mn></msub>
        <mo>=</mo>
        <mn>5.327,28</mn>
      </mrow>
    </math>
    <br />

    <math>
      <mrow>
        <mi>R</mi>
        <mtext>o valor recebido após o desconto</mtext>
      </mrow>
    </math>
    <br />

    <br />

    <math>
      <mrow>
        <msub><mi>M</mi><mn>1</mn></msub><mo>⋅</mo><mi>d</mi>
        <mo>=</mo>
        <mn>5.327,28</mn><mo>⋅</mo><mn>0,06</mn>
        <mo>≈</mo>
        <mn>319,64</mn>
      </mrow>
    </math>
    <br />

    <math>
      <mrow>
        <mi>R</mi>
        <mo>=</mo>
        <mn>5.327,28</mn><mo>−</mo><mn>319,64</mn>
        <mo>=</mo>
        <mn>5.007,64</mn>
      </mrow>
    </math>
    <br />

    <br />

    <math>
      <mrow>
        <msub><mi>d</mi><mi>r</mi></msub>
        <mo>=</mo>
        <mn>1</mn><mo>−</mo><mn>0,06</mn>
        <mo>=</mo>
        <mn>0,94</mn>
      </mrow>
    </math>
    <br />

    <math>
      <mrow>
        <mi>a</mi>
        <mo>=</mo>
        <mfrac>
          <mrow>
            <mi>0,06</mi>
          </mrow>
          <mrow>
            <mn>0,94</mn>
          </mrow>
        </mfrac>
        <mo>≈</mo>
        <mn>0,06382978723404255319</mn>
        <mo>→</mo>
        <mi>A</mi>
        <mo>≈</mo>
        <mn>6,383</mn><mo>%</mo>
      </mrow>
    </math>
    <br />

    <br />

    <math>
      <mrow>
        <msub><mi>M</mi><mn>1</mn></msub><mo>⋅</mo><mi>a</mi>
        <mo>=</mo>
        <mn>5.327,28</mn><mo>⋅</mo><mn>0,06383</mn>
        <mo>≈</mo>
        <mn>340,04</mn>
      </mrow>
    </math>
    <br />

    <math>
      <mrow>
        <msub><mi>M</mi><mn>2</mn></msub>
        <mo>=</mo>
        <mn>5.327,28</mn><mo>+</mo><mn>340,04</mn>
        <mo>=</mo>
        <mn>5.667,32</mn>
      </mrow>
    </math>

  </div>



<h3>Prova</h3>

  <div>

    <math>
      <mrow>
        <msub><mi>M</mi><mn>2</mn></msub><mo>⋅</mo><mi>d</mi>
        <mo>=</mo>
        <mn>5.667,32</mn><mo>⋅</mo><mn>0,06</mn>
        <mo>≈</mo>
        <mn>340,04</mn>
      </mrow>
    </math>
    <br />

    <math>
      <mrow>
        <mi>R</mi>
        <mo>=</mo>
        <mn>5.667,32</mn><mo>−</mo><mn>340,04</mn>
        <mo>=</mo>
        <mn>5.327,28</mn>
      </mrow>
    </math>
    <br />

  </div>

<p>Portanto, se pretendemos receber
   <math><mrow><mi>R$</mi><mn>5.327,28</mn></mrow></math>, mas do montante cobrado será obrigatoriamente descontado
   <math><mrow><mn>6</mn><mo>%</mo></mrow></math>, devemos cobrar
   <math><mrow><mi>R$</mi><mn>340,04</mn></mrow></math> a mais, ou seja,
   <math><mrow><mi>R$</mi><mn>5.667,32</mn></mrow></math>. Com isso, descontados os
   <math><mrow><mn>6</mn><mo>%</mo></mrow></math>, ainda teremos os
   <math><mrow><mi>R$</mi><mn>5.327,28</mn></mrow></math>.</p>

